package com.brilliance.isc.bo.model;

import com.brilliance.isc.bo.Fcn;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.brilliance.isc.common.vo.PtsptaVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Fcngrp extends AbstractCommonVo {

    private Fcn rec;

    private PtsptaVo apl;

    @Override
    public void reset() {
        if (rec == null) {
            rec = new Fcn();
        }
        if (apl == null) {
            apl = new PtsptaVo();
        }
        apl.reset();
    }
}
